Bug 229600 - Review Request: specto - An desktop application that will watch configurable events
Review Request: specto - An desktop application that will watch configurable ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-21 18:35 EST by Xavier Lamien
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 13:15:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Lamien 2007-02-21 18:35:14 EST
Spec URL: http://blog.fedora-fr.org/public/smootherfrogz/SPECS/specto.spec
SRPM URL: http://blog.fedora-fr.org/public/smootherfrogz/RPMs/specto-0.2.0-1.fc7.noarch.rpm

Description:

Specto is a desktop application that will watch configurable events
(such as website updates, emails, file and folder changes,
system processes, etc) and then trigger notifications.
 
Specto can watch a website for updates and notify you when
there is activity (otherwise, Specto will just stay out of the way).
This changes the way you work, because you can be informed
of events instead of having to look out for them.
Comment 1 Mamoru TASAKA 2007-03-03 05:56:13 EST
I will review this on Sunday.
Comment 2 Mamoru TASAKA 2007-03-04 11:39:19 EST
Well, for 0.2.0-1:

* Requires
  - No package provides "glade-python" (perhaps pygtk2-libglade?)
  - Requires "python" is redundant.
  - Some python-related requirements are missing
----------------------------------------------------
import gconf - gnome-python2-gconf
import gnomevfs - gnome-python2-gnomevfs
----------------------------------------------------

* Directory ownership
  - Some directory under %{_datadir}/icons/hicolor/ are already
    owned by other packages (especially hicolor-icon-theme)

* Desktop file
  - Category "Application" is deprecated and should be removed.
Comment 3 Xavier Lamien 2007-03-04 19:49:52 EST
>* Requires
>  - No package provides "glade-python" (perhaps pygtk2-libglade?)
>  - Requires "python" is redundant.
>  - Some python-related requirements are missing
> ----------------------------------------------------
> import gconf - gnome-python2-gconf
> import gnomevfs - gnome-python2-gnomevfs
> ----------------------------------------------------

I know but, the fact is they seem to be redundant too (like python).
as gnome-python2-gnomevfs required gnome-python2 which is required by some
default installed packages such as system-config-network.

Is that really necessary to add both to Requires tag ?


> * Directory ownership
>  - Some directory under %{_datadir}/icons/hicolor/ are already
>    owned by other packages (especially hicolor-icon-theme)
>
> * Desktop file
>   - Category "Application" is deprecated and should be removed.


My bad, i uploaded the wrong spec file (which is already fixed).

Anyway..i'm waitting your answer about the redundant requires.
Comment 4 Mamoru TASAKA 2007-03-04 20:53:26 EST
(In reply to comment #3)
> >* Requires
> >  - No package provides "glade-python" (perhaps pygtk2-libglade?)
> >  - Requires "python" is redundant.
> >  - Some python-related requirements are missing
> > ----------------------------------------------------
> > import gconf - gnome-python2-gconf
> > import gnomevfs - gnome-python2-gnomevfs
> > ----------------------------------------------------
> 
> I know but, the fact is they seem to be redundant too (like python).
> as gnome-python2-gnomevfs required gnome-python2 which is required by some
> default installed packages such as system-config-network.
> 
> Is that really necessary to add both to Requires tag ?

Well, 
* system-config-??? are of no relation with this package
  and the requirements must be added.

* gnome-vfs2 and gnome-vfs-gnomevfs have circular dependencies
  and adding both dependencies is not a bad idea
Comment 5 Xavier Lamien 2007-03-05 19:20:53 EST
Okay,


SPEC:http://blog.fedora-fr.org/public/smootherfrogz/SPECS/specto.spec
SRPM:http://blog.fedora-fr.org/public/smootherfrogz/RPMs/specto-0.2.0-2.fc7.src.rpm

* Mon Mar 05 2007 Xavier Lamien <lxtnow@gmail.com> - 0.2.0-2
- Removed category "Application" from .desktop file.
- Removed 'python' and 'glade-python' from Requires tag.
- Added python-related requirements.
Comment 6 Mamoru TASAKA 2007-03-06 11:52:48 EST
Well, for -2:

* Dictory ownership
  - Still not okay.
-----------------------------------------
%{_datadir}/icons/hicolor/*
-----------------------------------------
   /usr/share/icons/hicolor/scalable
   /usr/share/icons/hicolor/scalable/apps
   are owned by hicolor-icon-theme.

* Requirement
  - Well, gnome-python2-gconf requires gnome-python2 and there is
    no circular dependencies between these two.
    So "Requires: gnome-python2" is redundant, sorry.

* Needed "documentation" file
   - Well, currently, when I push "Help -> About" button:
--------------------------------------------------------
[tasaka1@localhost specto-0.2.0-2.fc7]$ LANG=C specto
GTK Accessibility Module initialized
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/spectlib/notifier.py", line 859, in
show_about
    self.specto.show_about()
  File "/usr/lib/python2.5/site-packages/spectlib/main.py", line 539, in show_about
    self.about = About(self)
  File "/usr/lib/python2.5/site-packages/spectlib/about.py", line 38, in __init__
    version_file=open(version_file_path, 'r')
IOError: [Errno 2] No such file or directory: '/usr/share/doc/specto/VERSION'
--------------------------------------------------------
     This program surely expects that "VERSION" should be installed
     under /usr/share/doc/specto.

     However, this means that
     * The file "VERSION" should be installed
     * This file cannot be regardes as a "documentation" because
       this file is required by this program.

     This also applies to "COPYING" file.

     So generally should should 
     * install the two files _also_ under somewhere (here, say %{_datadir}/%{name}) 
     * modify the related python scripts
       Well, I am not a expert of python, however if you install _also_
       under /usr/share/specto,
--------------------------------------------------------
--- about.py.orig       2007-03-06 14:21:37.000000000 +0900
+++ about.py    2007-03-07 01:45:01.000000000 +0900
@@ -34,11 +34,11 @@

     def __init__(self, specto):
         self.specto = specto
-        version_file_path = (spectlib.util.get_path(category="doc") + 'VERSION')
+        version_file_path = (spectlib.util.get_path() + 'VERSION')
         version_file=open(version_file_path, 'r')
         version = str(version_file.readline()[:-1]) # "[:-1]" means we omit the
last character, which is "\n".
         version_file.close
-        license_file_path = (spectlib.util.get_path(category="doc") + 'COPYING')
+        license_file_path = (spectlib.util.get_path() + 'COPYING')
         license_file = open(license_file_path, "r")
         license = license_file.read()
         license_file.close()
--------------------------------------------------------
      seems to work.
Comment 7 Xavier Lamien 2007-03-06 12:55:26 EST
(In reply to comment #6)
> Well, for -2:
> 
> * Dictory ownership
>   - Still not okay.
> -----------------------------------------
> %{_datadir}/icons/hicolor/*
> -----------------------------------------
>    /usr/share/icons/hicolor/scalable
>    /usr/share/icons/hicolor/scalable/apps
>    are owned by hicolor-icon-theme.

 Oops..my bad

> 
> * Requirement
>   - Well, gnome-python2-gconf requires gnome-python2 and there is
>     no circular dependencies between these two.
>     So "Requires: gnome-python2" is redundant, sorry.

 I was thinking about it. you got it the first.

> 
> * Needed "documentation" file
>    - Well, currently, when I push "Help -> About" button:
> --------------------------------------------------------
> [tasaka1@localhost specto-0.2.0-2.fc7]$ LANG=C specto
> GTK Accessibility Module initialized
> Traceback (most recent call last):
>   File "/usr/lib/python2.5/site-packages/spectlib/notifier.py", line 859, in
> show_about
>     self.specto.show_about()
>   File "/usr/lib/python2.5/site-packages/spectlib/main.py", line 539, in
show_about
>     self.about = About(self)
>   File "/usr/lib/python2.5/site-packages/spectlib/about.py", line 38, in __init__
>     version_file=open(version_file_path, 'r')
> IOError: [Errno 2] No such file or directory: '/usr/share/doc/specto/VERSION'
> --------------------------------------------------------
>      This program surely expects that "VERSION" should be installed
>      under /usr/share/doc/specto.
> 
>      However, this means that
>      * The file "VERSION" should be installed
>      * This file cannot be regardes as a "documentation" because
>        this file is required by this program.
> 
>      This also applies to "COPYING" file.
> 
>      So generally should should 
>      * install the two files _also_ under somewhere (here, say
%{_datadir}/%{name}) 
>      * modify the related python scripts
>        Well, I am not a expert of python, however if you install _also_
>        under /usr/share/specto,
> --------------------------------------------------------
> --- about.py.orig       2007-03-06 14:21:37.000000000 +0900
> +++ about.py    2007-03-07 01:45:01.000000000 +0900
> @@ -34,11 +34,11 @@
> 
>      def __init__(self, specto):
>          self.specto = specto
> -        version_file_path = (spectlib.util.get_path(category="doc") + 'VERSION')
> +        version_file_path = (spectlib.util.get_path() + 'VERSION')
>          version_file=open(version_file_path, 'r')
>          version = str(version_file.readline()[:-1]) # "[:-1]" means we omit the
> last character, which is "\n".
>          version_file.close
> -        license_file_path = (spectlib.util.get_path(category="doc") + 'COPYING')
> +        license_file_path = (spectlib.util.get_path() + 'COPYING')
>          license_file = open(license_file_path, "r")
>          license = license_file.read()
>          license_file.close()
> --------------------------------------------------------
>       seems to work.

 Yep, thanks for the fix.
 I also found another way to solve this problem.

 I'll upload fixed files within a few hours.
Comment 8 Xavier Lamien 2007-03-06 20:40:07 EST
So,
here are updated/fixed files where you can also check out my fix for doc dorectory.

SPEC:http://blog.fedora-fr.org/public/smootherfrogz/SPECS/specto.spec
SRPM:http://blog.fedora-fr.org/public/smootherfrogz/RPMs/specto-0.2.0-3.fc7.src.rpm

* Tue Mar 06 2007 Xavier Lamien <lxtnow@gmail.com> - 0.2.0-3
- Removed 'gnome-python2' as redundant require.
- Fixed default doc directory and added VERSION file in it.


Comment 9 Mamoru TASAKA 2007-03-07 08:51:09 EST
-3 is still not good.
-------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/spectlib/notifier.py", line 859, in
show_about
    self.specto.show_about()
  File "/usr/lib/python2.5/site-packages/spectlib/main.py", line 539, in show_about
    self.about = About(self)
  File "/usr/lib/python2.5/site-packages/spectlib/about.py", line 38, in __init__
    version_file=open(version_file_path, 'r')
IOError: [Errno 2] No such file or directory: '/usr/share/doc/specto-0.2.0VERSION'
-------------------------------------------
Comment 12 Mamoru TASAKA 2007-03-08 09:16:25 EST
Okay.

--------------------------------------------
  This package (specto) is APPROVED by me.
--------------------------------------------
Comment 13 Xavier Lamien 2007-03-08 11:40:51 EST
New Package CVS Request
=======================
Package Name: specto
Short Description:  An desktop application that will watch configurable events
Owners: lxtnow@gmail.com
Branches: FC-5 FC-6 Devel
InitialCC: 
Comment 14 Dennis Gilmore 2007-03-08 20:48:45 EST
Branched
Comment 15 Xavier Lamien 2007-06-06 03:04:00 EDT
Missing branch from CVS


Package Changes Request
=======================
Package Name: specto
Add Branche: F-7
 
Comment 16 Jason Tibbitts 2007-06-06 12:30:12 EDT
It seems to me that this already has an F-7 branch; perhaps someone got to it
before me and didn't update this ticket.
Comment 17 Mamoru TASAKA 2007-06-06 13:15:20 EDT
You don't have to reopen review request for new branches
request anyway.

Note You need to log in before you can comment on or make changes to this bug.